View your transaction history
The Transaction History API allows you to retrieve a list of your transactions for a specific currency.
https://livepay.me/api/transaction-history
Method: GET
curl "https://livepay.me/api/transaction-history?accountNumber=LP2305443309¤cy=UGX&limit=50" \ -X GET \ -H "Content-Type: application/json" \ -H "Authorization: Bearer <Your API Key>"
All API requests require Bearer token authentication using your API key in the Authorization header.
Bearer <Your API Key>
application/json
Your API key is provided in your dashboard. Use it directly in the Authorization header as shown above.
| Parameter | Type | Required | Description |
|---|---|---|---|
accountNumber
|
String | Yes | Your account number |
currency
|
String | Yes | Currency code (e.g., UGX, USD, KES) |
limit
|
Number | Optional | Number of transactions to return (default: 100, max: 100) |
{
"success": true,
"account_number": "LP2305443309",
"currency": "UGX",
"limit": 50,
"transactions": [
{
"customer_reference": "INV-001",
"provider": "MTN",
"msisdn": "+256777123456",
"transaction_type": "collection",
"currency": "UGX",
"amount": 50000,
"status": "Pending",
"created_at": "2024-01-15 10:30:00"
},
{
"customer_reference": "WITHDRAW-001",
"provider": "AIRTEL",
"msisdn": "+256702069536",
"transaction_type": "payout",
"currency": "UGX",
"amount": 25000,
"status": "Success",
"created_at": "2024-01-14 15:20:00"
}
]
}
| Status Code | Error Message | Description |
|---|---|---|
| 400 | accountNumber and currency are required |
Missing required query parameters |
| 401 | Authorization required |
Missing Authorization header |
| 401 | Invalid API key |
Invalid API key format or value |
| 403 | Account number does not match API key owner |
Account number mismatch |
| 404 | Invalid business account |
Account not found |
| 429 | Too many requests. Please try again later. |
Rate limit exceeded (50 per 15 minutes) |
| 500 | Internal server error |
Server error |